import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { withKnobs, text } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../../categories";
import headerReadme from "../../../dist/docs/components/widget-header/readme.md";
import wrapperReadme from "../../../dist/docs/components/widget-wrapper/readme.md";
import emptyReadme from "../../../dist/docs/components/widget-empty/readme.md";

<Meta title={CATEGORIES.SUB.WIDGETS + "Utils"} />

# Widget Utils

Various Helpers to build widgets

## Widget Header

<Canvas>
    <Story
        height="80px"
        name="Widget Header"
        parameters={{ jest: ["widget-header.e2e.ts"] }}
    >
        {html`
            <ui-widget-header url="/mock-data/widget-track.json"
                >Widget Title</ui-widget-header
            >
        `}
    </Story>
</Canvas>

## Widget Wrapper

<Canvas>
    <Story
        height="350px"
        name="Widget Wrapper"
        parameters={{ jest: ["widget-wrapper.e2e.ts"] }}
    >
        {html`
            <ui-widget-wrapper
                url="#"
                headline="Headline"
                linkTitle="this is a link"
            >
                Content
            </ui-widget-wrapper>
        `}
    </Story>
</Canvas>

## Widget Empty State

<Canvas>
    <Story
        height="350px"
        name="Widget Empty"
        parameters={{ jest: ["widget-empty.e2e.ts"] }}
    >
        {html`
            <ui-widget-wrapper>
                <ui-widget-empty
                    link="#"
                    link-text="More Information"
                    icon="order-status-package-checkmark"
                >
                    Sorry, there is no content
                </ui-widget-empty>
            </ui-widget-wrapper>
        `}
    </Story>
</Canvas>

---

## Usage

```
<ui-widget-header url="https://example.com/myapi">Widget Title</ui-widget-header>
```

# Developer Documentation

<Description markdown={headerReadme} />
<Description markdown={wrapperReadme} />
<Description markdown={emptyReadme} />
